## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLPredicateExists

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Predicate, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject, XMLPredicate

    public interface XMLPredicateExists

extends XMLPredicate

A representation of the model object 'XML Predicate Exists'. Tests whether or not a given XQuery expression represents an non-empty sequence. See ISO SQL/XML sec. 8.4.

The following features are supported:

- `Xquery Expr`
- `Xquery Arg List`

See Also:
  `SQLXMLQueryModelPackage.getXMLPredicateExists()`

Method Summary
`XMLQueryArgumentList` `getXqueryArgList()` Returns the value of the 'Xquery Arg List' containment reference.
`XMLQueryExpression` `getXqueryExpr()` Returns the value of the 'Xquery Expr' containment reference.
`void` `setXqueryArgList(XMLQueryArgumentList value)` Sets the value of the '`Xquery Arg List`' containment reference.
`void` `setXqueryExpr(XMLQueryExpression value)` Sets the value of the '`Xquery Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition

`getCombinedLeft, getCombinedRight, getDeleteStatement, getMergeOnCondition, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setMergeOnCondition, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### getXqueryExpr

    XMLQueryExpression getXqueryExpr()

  Returns the value of the 'Xquery Expr' containment reference. It is bidirectional and its opposite is '`Predicate Exists`'.

  If the meaning of the 'Xquery Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xquery Expr' containment reference.
  See Also:
    `setXqueryExpr(XMLQueryExpression)`, `SQLXMLQueryModelPackage.getXMLPredicateExists_XqueryExpr()`, `XMLQueryExpression.getPredicateExists()`

### setXqueryExpr

    void setXqueryExpr(XMLQueryExpression value)

  Sets the value of the '`Xquery Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Xquery Expr' containment reference.
  See Also:
    `getXqueryExpr()`

### getXqueryArgList

    XMLQueryArgumentList getXqueryArgList()

  Returns the value of the 'Xquery Arg List' containment reference. It is bidirectional and its opposite is '`Predicate Exists`'.

  If the meaning of the 'Xquery Arg List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xquery Arg List' containment reference.
  See Also:
    `setXqueryArgList(XMLQueryArgumentList)`, `SQLXMLQueryModelPackage.getXMLPredicateExists_XqueryArgList()`, `XMLQueryArgumentList.getPredicateExists()`

### setXqueryArgList

    void setXqueryArgList(XMLQueryArgumentList value)

  Sets the value of the '`Xquery Arg List`' containment reference.

  Parameters:
    `value` - the new value of the 'Xquery Arg List' containment reference.
  See Also:
    `getXqueryArgList()`